import { Injectable } from '@angular/core';
import { Flug } from '../Modell/Flug';

@Injectable()
export class Datengenerator {

    getTestData(): Array<Flug> {
           var flugset : Array<Flug> = new Array<Flug>();
            for (var i: number = 0; i < 15; i++) {
                var f = new Flug();
                f.FlugNr = 100 + i;
                f.Abflugort = "Oslo";
                f.Zielort = "Paris";
                f.Datum = new Date();
                f.FreiePlaetze = i;
                flugset.push(f);
            }

    // console.log( JSON.stringify(flugset));
        return flugset;
    }
}